> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/custody/add-whitelisted-address.md).

# Add Whitelisted Address

<mark style="color:blue;">**`POST`**</mark> `https://api.sfox.com/v1`**`/whitelisted-addresses`**

Add a new crypto address to your account's whitelisted withdrawal addresses.

{% hint style="info" %}
If you have an approval rule for adding new whitelisted addresses, the address may not be immediately added to your whitelist as it may require approval from other users in your account.
{% endhint %}

### Body Parameters

<table><thead><tr><th width="281">Parameter</th><th width="91">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency_symbol</code></strong> <mark style="color:red;">required</mark></td><td>string</td><td>Currency that can be withdrawn to this address</td></tr><tr><td><strong><code>address</code></strong> <mark style="color:red;">required</mark></td><td>string</td><td>Crypto address to add to whitelist</td></tr><tr><td><strong><code>alias</code></strong></td><td>string</td><td>Custom alias to help identify your whitelisted withdrawal address</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
   "id":"4d90ee41-3b36-11ec-bdb0-0ab29ff926a1",
   "alias":"Satoshis Fund",
   "address":"1NLqQmwkGxxQmzS9uwtCGXxbxrcNW4FpYp",
   "currency_symbol":"btc",
   "date_created":"2021-11-01T17:08:15.000Z",
   "date_updated":"2021-11-01T17:08:15.000Z",
   "status":"Pending",
   "tag":null
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -X POST \
  -H 'Content-type: application/json' \
  -H 'Authorization: Bearer < API_TOKEN >' \
  --data '{ "alias": "Satoshis Fund",
            "currency_symbol": "btc",
            "address": "1NLqQmwkGxxQmzS9uwtCGXxbxrcNW4FpYp" }' \
  'https://api.sfox.com/v1/whitelisted-addresses'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.sfox.com/v1/whitelisted-addresses',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  },
  data: {
    alias: 'Satoshis Fund',
    currency_symbol: 'btc',
    address: '1NLqQmwkGxxQmzS9uwtCGXxbxrcNW4FpYp'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.post(
  "https://api.sfox.com/v1/whitelisted-addresses",
  headers={
    "Authorization": "Bearer <API_KEY>",
  },
  data={
    "alias": "Satoshis Fund",
    "currency_symbol": "btc",
    "address": "1NLqQmwkGxxQmzS9uwtCGXxbxrcNW4FpYp"
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/rest-api/custody/add-whitelisted-address.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
